Bug 145393 - second ccs update attempt (from another node) fails if update file is /etc/cluster/cluster.conf
Summary: second ccs update attempt (from another node) fails if update file is /etc/cl...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 22:35 UTC by Corey Marthaler
Modified: 2009-04-16 20:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 23:52:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2005-01-17 22:35:37 UTC
Description of problem:
A. Get the kernel cluster up
[root@morph-04 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    6   M   morph-06
   2    1    6   M   morph-05
   3    1    6   M   morph-03
   4    1    6   M   morph-01
   5    1    6   M   morph-04
   6    1    6   M   morph-02
[root@morph-04 root]# head /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="1">


B. Edit and update /etc/cluster/cluster.conf on another node and then
let cman know on this node (and all others in cluster)
[root@morph-04 root]# cman_tool version -r 2

[root@morph-04 root]# head /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="2">

[root@morph-04 root]# cat /proc/cluster/status
Protocol version: 4.0.1
Config version: 2
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 6
Expected_votes: 6
Total_votes: 6
Quorum: 4
Active subsystems: 0
Node addresses: 192.168.44.64


C. Edit and update /etc/cluster/cluster.conf on this node
[root@morph-04 root]# head /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="3">

D. Attempt of ccs_tool update causes the version to be bumped back
down and fail
[root@morph-04 root]# ccs_tool update /etc/cluster/cluster.conf
Proposed updated config file does not have greater version number.
  Current config_version :: 2
  Proposed config_version:: 2

Failed to update config file.
[root@morph-04 root]# head /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="2">


However, if I once again edit /etc/cluster/cluster.conf and then
update, it will work

[root@morph-04 root]# ccs_tool update /etc/cluster/cluster.conf
Config file updated from version 2 to 3

Update complete.


Version-Release number of selected component (if applicable):
[root@morph-04 root]# ccsd -V
ccsd 0.17. (built Jan 13 2005 18:56:06)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.


How reproducible:
Always

Additional info:
if you do not edit /etc/cluster/cluster.conf and instead use a
different file for updates, it will work just fine.

Comment 1 Corey Marthaler 2005-01-17 23:14:24 UTC
debugged this further and found that for the update attempt to fail,
it has to be on another node than where the first update was done from.

Comment 2 Jonathan Earl Brassow 2005-01-18 16:53:38 UTC
fixed.

Comment 3 Corey Marthaler 2005-01-31 23:52:56 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.